Index: www/squid33/files/patch-compat__stdio.h
===================================================================
--- www/squid33/files/patch-compat__stdio.h	(revision 0)
+++ www/squid33/files/patch-compat__stdio.h	(working copy)
@@ -0,0 +1,11 @@
+--- compat/stdio.h.orig	2013-05-20 13:48:55.000000000 +0200
++++ compat/stdio.h	2013-07-15 22:34:49.000000000 +0200
+@@ -46,7 +46,7 @@
+ #endif /* __USE_FILE_OFFSET64 && !__REDIRECT */
+ 
+ // Finally import the <cstdio> stuff we actually use
+-#if HAVE_CSTDIO
++#if defined(__cplusplus) && HAVE_CSTDIO
+ #include<cstdio>
+ #endif
+ 
Index: www/squid33/files/patch-configure
===================================================================
--- www/squid33/files/patch-configure	(revision 333160)
+++ www/squid33/files/patch-configure	(working copy)
@@ -1,6 +1,6 @@
 --- configure.orig	2013-03-12 11:18:22.000000000 +0100
 +++ configure	2013-04-09 11:43:01.000000000 +0200
-@@ -22437,7 +22437,7 @@
+@@ -22798,7 +22798,7 @@
  
  done
  
@@ -9,7 +9,7 @@
      for ac_header in gssapi/gssapi_generic.h
  do :
    ac_fn_cxx_check_header_mongrel "$LINENO" "gssapi/gssapi_generic.h" "ac_cv_header_gssapi_gssapi_generic_h" "$ac_includes_default"
-@@ -22634,7 +22634,7 @@
+@@ -22995,7 +22995,7 @@
  
  
    ac_com_error_message=no
@@ -18,7 +18,7 @@
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
  /* end confdefs.h.  */
  #include <com_err.h>
-@@ -22646,7 +22646,7 @@
+@@ -23007,7 +23007,7 @@
  fi
  rm -f conftest*
  
@@ -27,7 +27,7 @@
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
  /* end confdefs.h.  */
  #include <et/com_err.h>
-@@ -22707,7 +22707,7 @@
+@@ -23068,7 +23068,7 @@
  
    fi
  
@@ -36,7 +36,7 @@
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for error_message in -lcom_err" >&5
  $as_echo_n "checking for error_message in -lcom_err... " >&6; }
  if ${ac_cv_lib_com_err_error_message+:} false; then :
-@@ -22750,7 +22750,7 @@
+@@ -23111,7 +23111,7 @@
  
  fi
  
@@ -45,3 +45,11 @@
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for error_message in -lkrb5" >&5
  $as_echo_n "checking for error_message in -lkrb5... " >&6; }
  if ${ac_cv_lib_krb5_error_message+:} false; then :
+@@ -24704,6 +24704,7 @@
+   cassert \
+   crypt.h \
+   cstdarg \
++  cstdio \
+   cstdlib \
+   cstring \
+   list \
Index: www/squid33/files/patch-include__Array.h
===================================================================
--- www/squid33/files/patch-include__Array.h	(revision 0)
+++ www/squid33/files/patch-include__Array.h	(working copy)
@@ -0,0 +1,33 @@
+--- include/Array.h.orig	2013-05-20 13:48:55.000000000 +0200
++++ include/Array.h	2013-07-15 23:00:06.000000000 +0200
+@@ -42,12 +42,19 @@
+ #include "compat/assert.h"
+ 
+ /* iterator support */
++#include <iterator>
+ 
+ template <class C>
+ class VectorIteratorBase
+ {
+ 
+ public:
++    typedef typename C::value_type value_type;
++    typedef std::forward_iterator_tag iterator_category;
++    typedef typename C::pointer pointer;
++    typedef typename C::reference reference;
++    typedef typename C::difference_type difference_type;
++
+     VectorIteratorBase();
+     VectorIteratorBase(C &);
+     VectorIteratorBase(size_t, C &);
+@@ -79,8 +86,10 @@
+ public:
+     typedef E value_type;
+     typedef E* pointer;
++    typedef E& reference;
+     typedef VectorIteratorBase<Vector<E> > iterator;
+     typedef VectorIteratorBase<Vector<E> const> const_iterator;
++    typedef ptrdiff_t difference_type;
+ 
+     void *operator new (size_t);
+     void operator delete (void *);
Index: www/squid33/files/patch-include__autoconf.h.in
===================================================================
--- www/squid33/files/patch-include__autoconf.h.in	(revision 0)
+++ www/squid33/files/patch-include__autoconf.h.in	(working copy)
@@ -0,0 +1,12 @@
+--- include/autoconf.h.in.orig	2013-05-20 13:49:34.000000000 +0200
++++ include/autoconf.h.in	2013-07-15 22:23:33.000000000 +0200
+@@ -158,6 +158,9 @@
+ /* Define to 1 if you have the <cstdarg> header file. */
+ #undef HAVE_CSTDARG
+ 
++/* Define to 1 if you have the <cstdio> header file. */
++#undef HAVE_CSTDIO
++
+ /* Define to 1 if you have the <cstdlib> header file. */
+ #undef HAVE_CSTDLIB
+ 
